You're reading a sample of this book. Grab the full version here.

2.1. Installing Go

If you'd like to code along with this book, you'll need Go version 1.11 installed on your computer.

As well as generally being the latest and greatest version of Go, the 1.11 release ships with support for modules — which are Go's new way to manage and version control any external packages used by your project.

If you've already got Go installed, you can check which version you have from your terminal by using the go version command. The output should look similar to this:

$ go version
go version go1.11 linux/amd64

If you need to upgrade your version of Go — or install Go from scratch — detailed instructions for different operating systems can be found here: